/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.contabilidad.FacadeConta;

import com.contabilidad.EntConta.VPagoEventual;
import java.util.Date;
import java.util.List;
import javax.ejb.Local;

/**
 *
 * @author obper
 */
@Local
public interface VPagoEventualFacadeLocal {

    void create(VPagoEventual vPagoEventual);

    void edit(VPagoEventual vPagoEventual);

    void remove(VPagoEventual vPagoEventual);

    VPagoEventual find(Object id);

    List<VPagoEventual> findAll();

    List<VPagoEventual> findRange(int[] range);

    int count();
    
    List<VPagoEventual> obtnerHorasCal(Date fecha, String sucursal);
    
}
